Token payroll
Update Payroll Settings
Updates or creates the org-level payroll settings: cutoff days, calendar dates and minimum fiat pay.
POSThttps://api.toku.com/stablecoin-payroll/update-payroll-settings
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-payroll-settings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollCutOffDaysBeforePayDate": 0,
"calendarDates": [
0
],
"minimumFiatPayInUSD": 0
}'200 response
{
"payrollSettings": {
"payrollSettingsID": "string",
"orgID": "string",
"payrollApprovalDaysBeforePayDate": 0,
"payrollCutOffDaysBeforeApprovalDate": 0,
"terminationPayrollCutoffDay": 0,
"payrollEntityID": "string",
"minimumFiatPayInUSD": "string",
"calendarDates": [
0
],
"createdAt": "string",
"updatedAt": "string",
"payrollEntity": {
"payrollEntityID": "string",
"name": "string",
"shortName": "string",
"createdAt": "string",
"updatedAt": "string",
"reportingCurrency": "string",
"country": "string",
"orgID": "string",
"payrollSettingID": "string"
}
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollCutOffDaysBeforePayDateintegerrequiredAllowed: 1 to 25
calendarDatesinteger[]Allowed: at most 2 items
minimumFiatPayInUSDnumberAllowed: at least 0
Response
200Successful response
payrollSettingsobjectrequiredShow child attributes
payrollSettingsIDstringrequiredorgIDstringrequiredpayrollApprovalDaysBeforePayDateintegerrequiredpayrollCutOffDaysBeforeApprovalDateintegerrequiredterminationPayrollCutoffDayintegerrequiredpayrollEntityIDstring | nullrequiredminimumFiatPayInUSDstringrequiredcalendarDatesinteger[]requiredcreatedAtstringrequiredupdatedAtstringrequiredpayrollEntityobject | nullShow child attributes
payrollEntityIDstringrequirednamestringrequiredshortNamestring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredreportingCurrencystringrequiredcountrystringrequiredorgIDstringrequiredpayrollSettingIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits